Results 1 to 4 of 4

Thread: "Warning: unresponsive script" only with Firefox

    Success! Looks like we've fixed this one. According to our records the fix was applied for EXTJS-14903 in 5.0.2.
  1. #1
    Sencha User emblemparade's Avatar
    Join Date
    Nov 2010
    Location
    Chicago, IL
    Posts
    26

    Default "Warning: unresponsive script" only with Firefox

    Ext version tested:
    • Ext JS 5.0.1

    Browser versions tested against:
    • Firefox 31.0, no add-ons installed (safe mode) (Ubuntu 14.04 64bit)

    Description:

    This happens only with Firefox, not with Chrome. This did not happen with Ext JS 4.x.

    I often get a "Warning: unresponsive script" alert when first loading the page. If I'm patient and click "continue" a few times, it will stabilize and work correctly.

    I'm sorry that I don't have an isolated test case, I just have no idea what part(s) of the application may be triggering it. This happens with all my Ext JS 5.0.1 applications, I'm including my simplest one. The FF debugger console shows nothing wrong happening.

    Steps to reproduce the problem:

  2. #2
    Sencha User emblemparade's Avatar
    Join Date
    Nov 2010
    Location
    Chicago, IL
    Posts
    26

    Default

    Just for clarification: the problem also exists with the Windows version of Firefox.

  3. #3
    Sencha Premium User evant's Avatar
    Join Date
    Apr 2007
    Location
    Sydney, Australia
    Posts
    19,253

    Default

    It's occurring because it's trigger 2 loads. For now you should be able to work around it by removing autoLoad.

    https://fiddle.sencha.com/#fiddle/9ml
    Twitter - @evantrimboli
    Former Sencha framework engineer, available for consulting.
    As of 2017-09-22 I am not employed by Sencha, all subsequent posts are my own and do not represent Sencha in any way.

  4. #4
    Sencha User emblemparade's Avatar
    Join Date
    Nov 2010
    Location
    Chicago, IL
    Posts
    26

    Default

    Thanks for the response, but I don't understand -- what exactly should I change? Which autoLoad?

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •